Bug 239897 - buildarch detection is fragile
Summary: buildarch detection is fragile
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F8Blocker
TreeView+ depends on / blocked
 
Reported: 2007-05-12 03:06 UTC by Bill Nottingham
Modified: 2014-03-17 03:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-26 18:30:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2007-05-12 03:06:20 UTC
Description of problem:

If your repository has multiple anaconda-runtime packages, the buildarch
detection returns all the arches of them concatenated together, which causes
buildinstall and then pungi to fail in odd, hard-to-debug ways.

Version-Release number of selected component (if applicable):

anaconda-runtime-11.2.0.57-1

Comment 1 Jeremy Katz 2007-05-14 19:10:45 UTC
Yes, yes it is :)

Comment 2 Jeremy Katz 2007-09-26 18:30:10 UTC
We'll now pick the first anaconda-runtime in the directory.  Doing mroe requires
passing different things to buildinstall which would require pungi changes too
which we really probably don't want at this  point


Note You need to log in before you can comment on or make changes to this bug.